package cn.com.poc.ai_dialogues.convert;

import cn.com.poc.ai_dialogues.model.BizAiDialoguesModel;
import cn.com.poc.ai_dialogues.entity.BizAiDialoguesEntity;
import cn.com.poc.ai_dialogues.dto.BizAiDialoguesDto;


public class BizAiDialoguesConvert {

    public static BizAiDialoguesEntity modelToEntity(BizAiDialoguesModel model) {
        BizAiDialoguesEntity entity = new BizAiDialoguesEntity();
        entity.setId(model.getId());
        entity.setDialoguesId(model.getDialoguesId());
        entity.setDialoguesType(model.getDialoguesType());
        entity.setTitle(model.getTitle());
        entity.setMemberId(model.getMemberId());
        entity.setFileUrl(model.getFileUrl());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizAiDialoguesModel entityToModel(BizAiDialoguesEntity entity) {
        BizAiDialoguesModel model = new BizAiDialoguesModel();
        model.setId(entity.getId());
        model.setDialoguesId(entity.getDialoguesId());
        model.setDialoguesType(entity.getDialoguesType());
        model.setTitle(entity.getTitle());
        model.setMemberId(entity.getMemberId());
        model.setFileUrl(entity.getFileUrl());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }

    public static BizAiDialoguesDto entityToDto(BizAiDialoguesEntity entity) {
        BizAiDialoguesDto dto = new BizAiDialoguesDto();
        dto.setId(entity.getId());
        dto.setDialoguesId(entity.getDialoguesId());
        dto.setDialoguesType(entity.getDialoguesType());
        dto.setTitle(entity.getTitle());
        dto.setMemberId(entity.getMemberId());
        dto.setFileUrl(entity.getFileUrl());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static BizAiDialoguesEntity dtoToEntity(BizAiDialoguesDto dto) {
        BizAiDialoguesEntity entity = new BizAiDialoguesEntity();
        entity.setId(dto.getId());
        entity.setDialoguesId(dto.getDialoguesId());
        entity.setDialoguesType(dto.getDialoguesType());
        entity.setTitle(dto.getTitle());
        entity.setMemberId(dto.getMemberId());
        entity.setFileUrl(dto.getFileUrl());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}